Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 10 Aug 2021 08:25:20 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi

I am waiting my refund , it's been a month ago since I requested, and I called you last week and they promise me within 2 days l will get my refund and still I didn't get anything.

It's really bad customer service, I'm going to contact consumer protection if I didn't get my refund

It's really bad , first I wait long time to receive my order,then I receive wrong item , then I wait long time until the delivery company to pick up my order, and now it's been one month ago since the delivery company take my order and still I didn't get my refund.

What a puying experience I had!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2961730